import asyncio

from v6d0auth.run_app import *
from v6d1tokens.app import *
from v6d1tokens.tdb import *


async def main():
    tdb = TDB()
    async with tdb.db:
        await run_app(V6D1TokensAppFactory(tdb).app())


if __name__ == "__main__":
    try:
        asyncio.run(main())
    except KeyboardInterrupt:
        pass
